" *init.vim*

" removes annoying swap, improves performance and asks for confirmation before write
set noswapfile lazyredraw confirm 

" indentation
filetype plugin indent on
set tabstop=4 softtabstop=4 shiftwidth=4 expandtab smartindent " tab setting
set showmatch ignorecase smartcase


set undofile " persist undo
set clipboard=unnamedplus " X clipboard to nvim

" plugins
call plug#begin()
Plug 'morhetz/gruvbox' " best theme
Plug 'mattn/emmet-vim' " html and css easing
call plug#end()

" styling
syntax on
set termguicolors

set number relativenumber numberwidth=2 cursorline
set conceallevel=3

set background=dark
colo gruvbox

" emmet
let g:user_emmet_mode='n' " only on normal mode, thx
let g:user_emmet_install_global = 0
autocmd FileType html,css EmmetInstall

let g:user_emmet_leader_key=','

"" bindings
" leader mapping
nnoremap <SPACE> <Nop>
let mapleader=" "
let localleader=" " 

" easy splits
nnoremap <leader>h <C-w>h
nnoremap <leader>j <C-w>j
nnoremap <leader>k <C-w>k
nnoremap <leader>l <C-w>l
nnoremap <silent> <Esc><Esc> :nohlsearch<CR>
set splitright splitbelow

" easy write
nmap <leader>w :w!<CR>
nmap <leader>W :w!<CR>


